Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TransportData Class Reference

Base class for transport data for a single species. More...

`#include <TransportData.h>`

Inheritance diagram for TransportData:
[legend]
Collaboration diagram for TransportData:
[legend]

## Public Member Functions
virtual void | validate (const Species &species)
AnyMap | parameters (bool withInput) const
| Return the parameters such that an identical species transport object could be reconstructed using the newTransportData() function. More...

## Public Attributes
AnyMap | input
| Input data used for specific models. More...

## Protected Member Functions
virtual void | getParameters (AnyMap &transportNode) const
| Store the parameters needed to reconstruct a TransportData object. More...

## Detailed Description

Base class for transport data for a single species.

Definition at line 19 of file TransportData.h.

## Constructor & Destructor Documentation

## ◆ TransportData()

TransportData | ( |  | ) |
| inline

Definition at line 22 of file TransportData.h.

## ◆ ~TransportData()

virtual ~TransportData | ( |  | ) |
| inline virtual

Definition at line 23 of file TransportData.h.

## Member Function Documentation

## ◆ validate()

virtual void validate | ( | const Species & | species | ) |
| inline virtual

Reimplemented in GasTransportData.

Definition at line 25 of file TransportData.h.

## ◆ parameters()

AnyMap parameters | ( | bool | withInput | ) | const

Return the parameters such that an identical species transport object could be reconstructed using the newTransportData() function.

Behavior specific to derived classes is handled by the getParameters() method.

Parameters

  withInput | If true, include additional input data fields associated with the object, such as user-defined fields from a YAML input file, as stored in the input attribute.

Definition at line 17 of file TransportData.cpp.

References TransportData::getParameters(), TransportData::input, and AnyMap::update().

## ◆ getParameters()

void getParameters | ( | AnyMap & | transportNode | ) | const
| protected virtual

Store the parameters needed to reconstruct a TransportData object.

Does not include user-defined fields available in input.

Reimplemented in GasTransportData.

Definition at line 27 of file TransportData.cpp.

Referenced by GasTransportData::getParameters(), and TransportData::parameters().

## Member Data Documentation

## ◆ input

AnyMap input

Input data used for specific models.

Definition at line 36 of file TransportData.h.

Referenced by TransportData::parameters().

The documentation for this class was generated from the following files:

- TransportData.h
- TransportData.cpp